var debug = require('debug');
var _ = require('lodash');

var PubSubServer = function(opts) {
    // prepare options
    var socket_port = opts.port || 3000;


    var app = require('http');
    var io = require('socket.io')(app);

    io.on('connection', function(socket){

      socket
        .on('disconnect', function(){
          debug("Client disconnect");
        })

        .on('msg',function(msg) {
          socket.emit('msg-server',msg);
        })
    });

    app.listen(port_number);
}

module.exports = PubSubServer;
